Debian Bug report logs - #547821
fonttools: manipulates site-packages/ directly, failing with Python 2.6

version graph

Package: fonttools; Maintainer for fonttools is Paul Wise <pabs@debian.org>; Source for fonttools is src:fonttools.

Reported by: joss@debian.org

Date: Tue, 22 Sep 2009 10:31:05 UTC

Severity: important

Found in version fonttools/2.2-2

Fixed in version fonttools/2.3-1

Done: Paul Wise <pabs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Paul Wise <pabs@debian.org>:
Bug#547821; Package fonttools. (Tue, 22 Sep 2009 10:31:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to joss@debian.org:
New Bug report received and forwarded. Copy sent to Paul Wise <pabs@debian.org>. (Tue, 22 Sep 2009 10:31:09 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: joss@debian.org
To: maintonly@bugs.debian.org
Subject: fonttools: manipulates site-packages/ directly, failing with Python 2.6
Date: Tue, 22 Sep 2009 12:26:00 +0200
Package: fonttools
Version: 2.2-2
Severity: important
User: debian-python@lists.debian.org
Usertags: python2.6 dist-packages

Hi,

fonttools is built using the Python distutils mechanism.

Starting from Python 2.6, the installation paths for distutils have
changed. Instead of /usr/lib/pythonX.Y/site-packages, the default has
now changed to /usr/local.

The packaging helpers (debhelper, dh, cdbs, python-support,
python-central) will pick automatically these changes, or are being
fixed to do so. However, fonttools seems to do some manipulations in
the site-packages/ directory in its build process.

To fix this issue, the recommended approach is to pass
"--install-layout=deb" to the "python setup.py" invocation. This is
already the default if you use dh - or migrate to dh, which is also
recommended.

When you do that, modules are installed in
/usr/lib/python2.6/dist-packages instead of site-packages. You have
then to either use a *-packages wildcard, or to use
/usr/share/python/python.mk which provides useful functions to
manipulate these directories.

Cheers, 
-- 

 .''`.      Josselin Mouette
 : :' :
 `. `'   “I recommend you to learn English in hope that you in
   `-     future understand things”  -- Jörg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Paul Wise <pabs@debian.org>:
Bug#547821; Package fonttools. (Wed, 14 Oct 2009 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <a.kumar@alumni.iitm.ac.in>:
Extra info received and forwarded to list. Copy sent to Paul Wise <pabs@debian.org>. (Wed, 14 Oct 2009 03:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 547821@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <a.kumar@alumni.iitm.ac.in>
To: 547821@bugs.debian.org
Cc: 547821-submitter@bugs.debian.org
Subject: Fix for this bug
Date: Tue, 13 Oct 2009 22:40:55 -0500
[Message part 1 (text/plain, inline)]
tags 547821 + patch
thanks

Hi!

Please find attached a patch to fix this bug.

HTH, and thanks.

Kumar
[fonttools_fix.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Kumar Appaiah <a.kumar@alumni.iitm.ac.in> to control@bugs.debian.org. (Wed, 14 Oct 2009 03:45:05 GMT) Full text and rfc822 format available.

Message sent on to joss@debian.org:
Bug#547821. (Wed, 14 Oct 2009 03:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#547821; Package fonttools. (Thu, 15 Oct 2009 02:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. (Thu, 15 Oct 2009 02:57:05 GMT) Full text and rfc822 format available.

Message #20 received at 547821@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Kumar Appaiah <a.kumar@alumni.iitm.ac.in>, 547821@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#547821: Fix for this bug
Date: Thu, 15 Oct 2009 10:24:53 +0800
[Message part 1 (text/plain, inline)]
tags 547821 - patch
thanks

On Tue, 2009-10-13 at 22:40 -0500, Kumar Appaiah wrote:

> Please find attached a patch to fix this bug.

I don't think you tested this well enough, fonttools needs code changes
to work under Python 2.6. I'll be making a new upstream release first
(code changes are already in trunk) and then packaging that for Debian.
It is currently blocked on Adobe releasing their BSD-licensed AGLFN[1].

     1. http://bonedaddy.net/pabs3/log/2009/09/24/adobe-data-freed/

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Thu, 15 Oct 2009 02:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Wise <pabs@debian.org>:
Bug#547821; Package fonttools. (Thu, 15 Oct 2009 03:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <a.kumar@alumni.iitm.ac.in>:
Extra info received and forwarded to list. Copy sent to Paul Wise <pabs@debian.org>. (Thu, 15 Oct 2009 03:00:03 GMT) Full text and rfc822 format available.

Message #27 received at 547821@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <a.kumar@alumni.iitm.ac.in>
To: Paul Wise <pabs@debian.org>
Cc: 547821@bugs.debian.org, control <control@bugs.debian.org>
Subject: Re: Bug#547821: Fix for this bug
Date: Wed, 14 Oct 2009 21:56:38 -0500
Dear Paul,

On Thu, Oct 15, 2009 at 10:24:53AM +0800, Paul Wise wrote:
> tags 547821 - patch
> thanks
> 
> On Tue, 2009-10-13 at 22:40 -0500, Kumar Appaiah wrote:
> 
> > Please find attached a patch to fix this bug.
> 
> I don't think you tested this well enough, fonttools needs code changes
> to work under Python 2.6. I'll be making a new upstream release first
> (code changes are already in trunk) and then packaging that for Debian.
> It is currently blocked on Adobe releasing their BSD-licensed AGLFN[1].
> 
>      1. http://bonedaddy.net/pabs3/log/2009/09/24/adobe-data-freed/

No, I did not test the package. I merely tested the build, and, as you
say, it was not sufficient for updation. Sorry about that, and thank
you for pointing out the main issue.

In any case, the patch was merely something sent with the intention of
helping. Please excuse my hurried submission.

Thanks.

Kumar
-- 
Kumar Appaiah




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#547821; Package fonttools. (Thu, 15 Oct 2009 03:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. (Thu, 15 Oct 2009 03:09:03 GMT) Full text and rfc822 format available.

Message #32 received at 547821@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Kumar Appaiah <a.kumar@alumni.iitm.ac.in>
Cc: 547821@bugs.debian.org
Subject: Re: Bug#547821: Fix for this bug
Date: Thu, 15 Oct 2009 11:03:31 +0800
[Message part 1 (text/plain, inline)]
On Wed, 2009-10-14 at 21:56 -0500, Kumar Appaiah wrote:

> No, I did not test the package. I merely tested the build, and, as you
> say, it was not sufficient for updation. Sorry about that, and thank
> you for pointing out the main issue.
> 
> In any case, the patch was merely something sent with the intention of
> helping. Please excuse my hurried submission.

No probs, I should have updated the bug with status information anyway.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#547821; Package fonttools. (Sun, 08 Nov 2009 17:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. (Sun, 08 Nov 2009 17:12:06 GMT) Full text and rfc822 format available.

Message #37 received at 547821@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 547821@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#547821: fonttools: manipulates site-packages/ directly, failing with Python 2.6
Date: Mon, 09 Nov 2009 01:06:36 +0800
[Message part 1 (text/plain, inline)]
tags 547821 + pending
thanks

On Tue, 2009-09-22 at 12:26 +0200, joss@debian.org wrote:

> fonttools is built using the Python distutils mechanism.
> 
> Starting from Python 2.6, the installation paths for distutils have
> changed. Instead of /usr/lib/pythonX.Y/site-packages, the default has
> now changed to /usr/local.
> 
> The packaging helpers (debhelper, dh, cdbs, python-support,
> python-central) will pick automatically these changes, or are being
> fixed to do so. However, fonttools seems to do some manipulations in
> the site-packages/ directory in its build process.

I've switched fonttools to dh7, tested that it works with the new
upstream I made. Unfortunately it will be stuck in NEW since I split out
the arch any part and made the main package arch all. I'll be uploading
it once I've figured out how to deal with switching from python-central
to python-support (argh upgrades from lenny!!).

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sun, 08 Nov 2009 17:12:07 GMT) Full text and rfc822 format available.

Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. (Mon, 16 Nov 2009 21:42:41 GMT) Full text and rfc822 format available.

Notification sent to joss@debian.org:
Bug acknowledged by developer. (Mon, 16 Nov 2009 21:42:42 GMT) Full text and rfc822 format available.

Message #44 received at 547821-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 547821-close@bugs.debian.org
Subject: Bug#547821: fixed in fonttools 2.3-1
Date: Mon, 16 Nov 2009 21:41:51 +0000
Source: fonttools
Source-Version: 2.3-1

We believe that the bug you reported is fixed in the latest version of
fonttools, which is due to be installed in the Debian FTP archive:

fonttools-eexecop_2.3-1_amd64.deb
  to main/f/fonttools/fonttools-eexecop_2.3-1_amd64.deb
fonttools_2.3-1.debian.tar.gz
  to main/f/fonttools/fonttools_2.3-1.debian.tar.gz
fonttools_2.3-1.dsc
  to main/f/fonttools/fonttools_2.3-1.dsc
fonttools_2.3-1_all.deb
  to main/f/fonttools/fonttools_2.3-1_all.deb
fonttools_2.3.orig.tar.gz
  to main/f/fonttools/fonttools_2.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547821@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs@debian.org> (supplier of updated fonttools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Nov 2009 22:58:53 +0800
Source: fonttools
Binary: fonttools fonttools-eexecop
Architecture: source all amd64
Version: 2.3-1
Distribution: unstable
Urgency: low
Maintainer: Paul Wise <pabs@debian.org>
Changed-By: Paul Wise <pabs@debian.org>
Description: 
 fonttools  - Converts OpenType and TrueType fonts to and from XML
 fonttools-eexecop - python extension to speed up fonttools
Closes: 547821
Changes: 
 fonttools (2.3-1) unstable; urgency=low
 .
   * New upstream release
     - TrueType Collection (TTC) support
     - Python 2.6 support
     - Unicode 5.2.0 data
   * Split the eexecOp module out into a separate package, switch fonttools
     to arch all and recommend the arch any eexecOp module to reduce archive
     space used by duplicates of the arch all python scripts in fonttools
   * Switch to debhelper compat 7 and dh for debian/rules
   * Adapt installation and rules for Python 2.6 (Closes: #547821)
   * Add ${misc:Depends} to dependencies for debhelper
   * Switch the section to fonts in line with the override
   * Bump Standards-Version, no changes needed
   * Switch to dpkg source format version 3
   * Switch from python-central to python-support and handle upgrades from
     pycentral with removal in preinst
Checksums-Sha1: 
 033202cfd32040911e307c6633b90a71526be358 1117 fonttools_2.3-1.dsc
 3d434d6192a1feb6605d67975c1e973e084e86d7 348810 fonttools_2.3.orig.tar.gz
 ea346d11d6eb3f2e0e456ecff0ab4a3a8cd86e9c 4661 fonttools_2.3-1.debian.tar.gz
 5761f9ff0a0186f9003cb4b9c37e078ffc1f8e62 338526 fonttools_2.3-1_all.deb
 a7d5ead11943cea7bfb6cb3a082d50e0a22908c6 33314 fonttools-eexecop_2.3-1_amd64.deb
Checksums-Sha256: 
 0a0b4af61e2f55224e34be8f15c5a9b1fee2915f4e532f7ceafc88bedc4d9cfc 1117 fonttools_2.3-1.dsc
 b5c5afdbc19d21221d101df6e88d5c74dc83cde8b4834d790d8bb544ffcfa16a 348810 fonttools_2.3.orig.tar.gz
 fffbb61ac767fd89f24a67e325d19562189bd263a00831c885918f3db9d83b1b 4661 fonttools_2.3-1.debian.tar.gz
 a96f89e7e345c3eca3ddf95c7363a17a69d8dfdb8b3341c9a06e3764f3b23c93 338526 fonttools_2.3-1_all.deb
 83f002bc56292c0886c2e120850fb5e928577ba65223cc9050285dc8fa9ad5c1 33314 fonttools-eexecop_2.3-1_amd64.deb
Files: 
 c7b0f10510921c904a5352987ab4aab9 1117 fonts optional fonttools_2.3-1.dsc
 502cdf6662e1d075f1902fbd995eaace 348810 fonts optional fonttools_2.3.orig.tar.gz
 84046b36f98028e3feef3de1c1a33a29 4661 fonts optional fonttools_2.3-1.debian.tar.gz
 ba9411914caacdf400806f4491450037 338526 fonts optional fonttools_2.3-1_all.deb
 d874365419837f6927471cc851580e47 33314 fonts optional fonttools-eexecop_2.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkr+zM0ACgkQ5Sc9mGvjxCOkhQCfcEyvaaoCdNaM09N1jFBftJnj
EQQAnA78yc4K6iTBf8IsINAmL5NKwdTn
=VZxL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Dec 2009 07:29:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:23:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.